<div class="advancedactivitywidget-options">

	<!-- General Settings -->
	<fieldset class="widefat advancedactivitywidget-general">
		
		<legend><?php _e('General Settings', self::SLUG); ?></legend>
        <p>
        	<!-- The width of the widget -->
			<label for="<?php echo $this->get_field_id('widgetwidth'); ?>" title="<?php _e('You can set the actual width of the widget in px (e.g 250)', self::SLUG); ?>"><?php _e('Widget Width:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('widgetwidth'); ?>" name="<?php echo $this->get_field_name('widgetwidth'); ?>" value="<?php echo $instance['widgetwidth']; ?>" style="width:50px;" /> px
			<br /><small><?php _e('Optimum size should be between 250px - 280px', self::SLUG); ?></small>
        </p>
	</fieldset>
    
    <!-- Popular Tab -->
	<fieldset class="widefat">
		
		<legend><?php _e('Popular Tab', self::SLUG); ?></legend>
        <p>
			<!-- Display Popular Tab -->
			<input type="checkbox" id="<?php echo $this->get_field_id('showpopular'); ?>" name="<?php echo $this->get_field_name('showpopular'); ?>" <?php if ($instance['showpopular']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('showpopular'); ?>" title="<?php _e('Display the popular tab?', self::SLUG); ?>"><?php _e('Display the popular tab', self::SLUG); ?></label>
		</p>
        <p>
			<!-- Display Icon Popular Tab -->
			<input type="checkbox" id="<?php echo $this->get_field_id('display_popular_icon'); ?>" name="<?php echo $this->get_field_name('display_popular_icon'); ?>" <?php if ($instance['display_popular_icon']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('display_popular_icon'); ?>" title="<?php _e('Display icon for popular tab?', self::SLUG); ?>"><?php _e('Display icon for popular tab', self::SLUG); ?></label>
		</p>
		<p>
			<!-- Popular tab icon size -->
            <label for="<?php echo $this->get_field_id('popular_icon_size'); ?>" title="<?php _e('You can set the actual size of the popular icon in px (e.g 50)', self::SLUG); ?>"><?php _e('Popular tab icon size:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('popular_icon_size'); ?>" name="<?php echo $this->get_field_name('popular_icon_size'); ?>" value="<?php echo $instance['popular_icon_size']; ?>" style="width:50px;" /> px
            <br /><small><?php _e('Optimum size should be 50px', self::SLUG); ?></small>
        </p>
        <p>
			<!-- Popular tab amount entries -->
            <label for="<?php echo $this->get_field_id('popular_amount'); ?>" title="<?php _e('You can set the amount of popular entries to display (e.g 5)', self::SLUG); ?>"><?php _e('Amount of popular entries to display:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('popular_amount'); ?>" name="<?php echo $this->get_field_name('popular_amount'); ?>" value="<?php echo $instance['popular_amount']; ?>" style="width:50px;" />
            <br /><small><?php _e('Optimum size should be 5 entries', self::SLUG); ?></small>
        </p>
        <p>
			<!-- Popular tab amount characters -->
            <label for="<?php echo $this->get_field_id('popular_chars'); ?>" title="<?php _e('You can set the amount of characters to display before trunicating entry (e.g 35)', self::SLUG); ?>"><?php _e('Amount of characters to display before trunicating entry:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('popular_chars'); ?>" name="<?php echo $this->get_field_name('popular_chars'); ?>" value="<?php echo $instance['popular_chars']; ?>" style="width:50px;" />
            <br /><small><?php _e('Optimum size should be 50 characters', self::SLUG); ?></small>
        </p>
    </fieldset>
    
    <!-- Latest Tab -->
	<fieldset class="widefat">
		
		<legend><?php _e('Latest Tab', self::SLUG); ?></legend>
        <p>
			<!-- Display Latest Tab -->
			<input type="checkbox" id="<?php echo $this->get_field_id('showrecent'); ?>" name="<?php echo $this->get_field_name('showrecent'); ?>" <?php if ($instance['showrecent']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('showrecent'); ?>" title="<?php _e('Display the latest tab?', self::SLUG); ?>"><?php _e('Display the latest tab', self::SLUG); ?></label>
		</p>
        <p>
			<!-- Display Icon Latest Tab -->
			<input type="checkbox" id="<?php echo $this->get_field_id('display_latest_icon'); ?>" name="<?php echo $this->get_field_name('display_latest_icon'); ?>" <?php if ($instance['display_latest_icon']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('display_latest_icon'); ?>" title="<?php _e('Display icon for latest tab?', self::SLUG); ?>"><?php _e('Display icon for latest tab', self::SLUG); ?></label>
		</p>
		<p>
			<!-- Latest tab icon size -->
            <label for="<?php echo $this->get_field_id('latest_icon_size'); ?>" title="<?php _e('You can set the actual size of the latest icon in px (e.g 50)', self::SLUG); ?>"><?php _e('Latest tab icon size:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('latest_icon_size'); ?>" name="<?php echo $this->get_field_name('latest_icon_size'); ?>" value="<?php echo $instance['latest_icon_size']; ?>" style="width:50px;" /> px
            <br /><small><?php _e('Optimum size should be 50px', self::SLUG); ?></small>
        </p>
        <p>
			<!-- Latest tab amount entries -->
            <label for="<?php echo $this->get_field_id('latest_amount'); ?>" title="<?php _e('You can set the amount of latest entries to display (e.g 5)', self::SLUG); ?>"><?php _e('Amount of latest entries to display:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('latest_amount'); ?>" name="<?php echo $this->get_field_name('latest_amount'); ?>" value="<?php echo $instance['latest_amount']; ?>" style="width:50px;" />
            <br /><small><?php _e('Optimum size should be 5 entries', self::SLUG); ?></small>
        </p>
        <p>
			<!-- Latest tab amount characters -->
            <label for="<?php echo $this->get_field_id('latest_chars'); ?>" title="<?php _e('You can set the amount of characters to display before trunicating entry (e.g 35)', self::SLUG); ?>"><?php _e('Amount of characters to display before trunicating entry:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('latest_chars'); ?>" name="<?php echo $this->get_field_name('latest_chars'); ?>" value="<?php echo $instance['latest_chars']; ?>" style="width:50px;" />
            <br /><small><?php _e('Optimum size should be 50 characters', self::SLUG); ?></small>
        </p>
    </fieldset>
		
	<!-- Comments Tab -->
	<fieldset class="widefat">
		
		<legend><?php _e('Comments Tab', self::SLUG); ?></legend>
        <p>
			<!-- Display Comments Tab -->
			<input type="checkbox" id="<?php echo $this->get_field_id('showcomments'); ?>" name="<?php echo $this->get_field_name('showcomments'); ?>" <?php if ($instance['showcomments']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('showcomments'); ?>" title="<?php _e('Display the comments tab?', self::SLUG); ?>"><?php _e('Display the comments tab', self::SLUG); ?></label>
		</p>
        <p>
			<!-- Display Icon Comments Tab -->
			<input type="checkbox" id="<?php echo $this->get_field_id('display_comments_icon'); ?>" name="<?php echo $this->get_field_name('display_comments_icon'); ?>" <?php if ($instance['display_comments_icon']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('display_comments_icon'); ?>" title="<?php _e('Display Gravatar icon for comments tab?', self::SLUG); ?>"><?php _e('Display Gravatar icon for latest tab', self::SLUG); ?></label>
		</p>
		<p>
			<!-- Comments tab icon size -->
            <label for="<?php echo $this->get_field_id('comments_icon_size'); ?>" title="<?php _e('You can set the actual size of the comments icon in px (e.g 50)', self::SLUG); ?>"><?php _e('Comments tab Gravatar icon size:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('comments_icon_size'); ?>" name="<?php echo $this->get_field_name('comments_icon_size'); ?>" value="<?php echo $instance['comments_icon_size']; ?>" style="width:50px;" /> px
            <br /><small><?php _e('Optimum size should be 50px', self::SLUG); ?></small>
        </p>
         <p>
			<!-- Comments tab amount entries -->
            <label for="<?php echo $this->get_field_id('comments_amount'); ?>" title="<?php _e('You can set the amount of comments to display (e.g 5)', self::SLUG); ?>"><?php _e('Amount of comments to display:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('comments_amount'); ?>" name="<?php echo $this->get_field_name('comments_amount'); ?>" value="<?php echo $instance['comments_amount']; ?>" style="width:50px;" />
            <br /><small><?php _e('Optimum size should be 5 entries', self::SLUG); ?></small>
        </p>
        <p>
			<!-- Comments tab amount characters -->
            <label for="<?php echo $this->get_field_id('comments_chars'); ?>" title="<?php _e('You can set the amount of characters to display before trunicating entry (e.g 35)', self::SLUG); ?>"><?php _e('Amount of characters to display before trunicating entry:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('comments_chars'); ?>" name="<?php echo $this->get_field_name('comments_chars'); ?>" value="<?php echo $instance['comments_chars']; ?>" style="width:50px;" />
            <br /><small><?php _e('Optimum size should be 35 characters', self::SLUG); ?></small>
        </p>
    </fieldset>
    
    <!-- Tags -->
	<fieldset class="widefat">
		
		<legend><?php _e('Tags', self::SLUG); ?></legend>
        <p>
			<!-- Display Tags Tab -->
			<input type="checkbox" id="<?php echo $this->get_field_id('showtags'); ?>" name="<?php echo $this->get_field_name('showtags'); ?>" <?php if ($instance['showtags']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('showtags'); ?>" title="<?php _e('Display the tags tab?', self::SLUG); ?>"><?php _e('Display the tags tab', self::SLUG); ?></label>
		</p>
         <p>
			<!-- Amount of tags to display -->
            <label for="<?php echo $this->get_field_id('tags_amount'); ?>" title="<?php _e('You can set the amount of tags to display (e.g 15)', self::SLUG); ?>"><?php _e('Amount of tags to display:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('tags_amount'); ?>" name="<?php echo $this->get_field_name('tags_amount'); ?>" value="<?php echo $instance['tags_amount']; ?>" style="width:50px;" />
            <br /><small><?php _e('Optimum size should be 25 tags', self::SLUG); ?></small>
        </p>
    </fieldset>
    
</div>